---
updatedAt: 2026-06-05T22:10:56.000Z
agentTools:
  projectIndex: https://docs.astra.finance/llms.txt
---

# Cancel Transfer

> 📘
>
> You can place the bearer `access_token` for a specific user into the Authentication section of this documentation 👉.

Cancel a transfer for a user. To cancel a transfer, you must provide the ID of the transfer in the Endpoint URL. When a transfer is successfully canceled, Astra will return a successful response (HTTP 200) and the status of the transfer in the Transfer table will update to `canceled`.

> 🚧
>
>  If the API response states that the transfer cannot be cancelled, then it indeed cannot be cancelled by any means.  For details see this [guide](https://knowledge.astrafi.com/articles/7278512489-ach-transfer-timing-and-cancellation-windows?lang=en).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Astra Developer API",
    "description": "Astra's public API endpoints available to our customers.",
    "version": "1.0.0"
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "headers": {
      "request-id": {
        "description": "Unique ID returned with each API response",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "generic_error": {
        "type": "object",
        "properties": {
          "code": {
            "description": "Response code",
            "type": "integer"
          },
          "name": {
            "description": "Name of response code",
            "type": "string"
          },
          "description": {
            "description": "Error message",
            "type": "string"
          }
        }
      }
    },
    "examples": {
      "generic_error_unauthorized": {
        "summary": "Invalid or Expired Access Token",
        "value": {
          "code": 401,
          "name": "Unauthorized",
          "description": null
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.astra.finance",
      "description": "Sandbox Environment"
    },
    {
      "url": "https://secure.api-sandbox.astra.finance",
      "description": "Secure Sandbox URL"
    }
  ],
  "tags": [
    {
      "name": "Transfers"
    }
  ],
  "paths": {
    "/v1/transfers/{id}/cancel": {
      "post": {
        "tags": [
          "Transfers"
        ],
        "summary": "Cancel Transfer",
        "description": "> 📘\n>\n> You can place the bearer `access_token` for a specific user into the Authentication section of this documentation 👉.\n\nCancel a transfer for a user. To cancel a transfer, you must provide the ID of the transfer in the Endpoint URL. When a transfer is successfully canceled, Astra will return a successful response (HTTP 200) and the status of the transfer in the Transfer table will update to `canceled`.\n\n> 🚧\n>\n>  If the API response states that the transfer cannot be cancelled, then it indeed cannot be cancelled by any means.  For details see this [guide](https://knowledge.astrafi.com/articles/7278512489-ach-transfer-timing-and-cancellation-windows?lang=en).\n",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The ID of the Transfer to cancel",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "request-id": {
                "$ref": "#/components/headers/request-id"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "description": "The unique ID of the transfer"
                    },
                    "routine_type": {
                      "type": "string",
                      "description": "The type of routine associated with the transfer",
                      "enum": [
                        "one-time",
                        "recurring"
                      ]
                    },
                    "routine_name": {
                      "type": "string",
                      "description": "The name of the routine associated with the transfer"
                    },
                    "routine_id": {
                      "type": "string",
                      "description": "The unique ID of the routine associated with the transfer"
                    },
                    "client_correlation_id": {
                      "type": "string",
                      "description": "An optional correlation id that will be added to ACH or Debit Addenda. This will also be included in the Transfer response."
                    },
                    "source_id": {
                      "type": "string",
                      "description": "The ID of the Source Account"
                    },
                    "destination_id": {
                      "type": "string",
                      "description": "The ID of the Destination Account"
                    },
                    "destination_user_id": {
                      "type": "string",
                      "description": "The User ID associated with the Destination Account (required if the destination_id does not belong to the authenticating User)"
                    },
                    "amount": {
                      "type": "number",
                      "format": "float",
                      "description": "The amount of the transfer (when explicitly defined like one-time or recurring)"
                    },
                    "payment_type": {
                      "type": "string",
                      "description": "The type of payment",
                      "enum": [
                        "ach",
                        "debit",
                        "ledger"
                      ]
                    },
                    "initiated": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The date and time the transfer was initiated"
                    },
                    "updated": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The date and time the transfer was updated"
                    },
                    "estimated_clearing_date": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The estimated date and time the transfer will clear"
                    },
                    "status": {
                      "type": "string",
                      "description": "The status of the Transfer",
                      "enum": [
                        "cancelled"
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "headers": {
              "request-id": {
                "$ref": "#/components/headers/request-id"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/generic_error"
                },
                "examples": {
                  "generic_error_unauthorized": {
                    "$ref": "#/components/examples/generic_error_unauthorized"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```